Bug 853430 - grub2 requires passwd to boot if one is set during install
grub2 requires passwd to boot if one is set during install
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grub2 (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: ---
Assigned To: Peter Jones
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 09:36 EDT by Jason Montleon
Modified: 2014-11-24 09:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-06 14:41:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2012-08-31 09:36:15 EDT
Description of problem:
grub2 prompts for a password everytime you boot if one is set during installation. The password should only be prompted for if someone is attempting to edit settings

Version-Release number of selected component (if applicable):
RHEL 7.0 Alpha 2 20120711.2

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL 7
2. Set a bootloader password
3. Reboot
  
Actual results:
Prompted for a password

Expected results:
System should boot
Comment 2 Dominic Cleal 2013-01-04 07:44:51 EST
The menuentry lines should include --unrestricted, but I don't see a hook in grub.d for anaconda to be able to configure this.
Comment 3 Bert DeKnuydt 2013-01-11 11:00:45 EST
This is exactly Fedora bug #840204, which is long story with NO progress.
Comment 5 Peter Jones 2014-07-17 10:18:25 EDT
Can you test this with a released RHEL 7 tree?  I don't think this is actually still a bug.

Note You need to log in before you can comment on or make changes to this bug.